Add --enable-hardcoded-path-in-tests configure option
[platform/upstream/glibc.git] / localedata / tst-rpmatch.sh
index d3eb593..29fb7b7 100755 (executable)
@@ -1,6 +1,6 @@
 #! /bin/sh -f
 #
-# Copyright (C) 1998, 1999, 2000 Free Software Foundation, Inc.
+# Copyright (C) 1998-2013 Free Software Foundation, Inc.
 # This file is part of the GNU C Library and contains tests for
 # the rpmatch(3)-implementation.
 # contributed by Jochen Hein <jochen.hein@delphi.central.de>
@@ -16,8 +16,9 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+# along with this program; if not, see <http://www.gnu.org/licenses/>.
+
+set -e
 
 common_objpfx=$1
 tst_rpmatch=$2
@@ -27,13 +28,13 @@ while IFS=\& read locale string result dummy; do
     if [ "$locale" != "#" ]; then
        LOCPATH=${common_objpfx}localedata \
        GCONV_PATH=${common_objpfx}/iconvdata \
-       ${tst_rpmatch} $locale $string $result \
-       || exit 1
+       ${tst_rpmatch} $locale $string $result < /dev/null \
+       || { echo "$locale $string $result  FAILED"; exit 1; }
     fi
 done <<EOF
 #& These are the tests for rpmatch in glibc.  Each line contains one test,
 #& comments start with #& in the first column.  The fields are separated
-#& by paragraph signs and contain: the locale, the string, the expected
+#& by ampersand signs and contain: the locale, the string, the expected
 #& return value of rpmatch(3).  If the test fails, test-rpmatch prints
 #& all these informations
 C&Yes&1
@@ -57,9 +58,3 @@ de_DE.ISO-8859-1&Nein&0
 de_DE.ISO-8859-1&Fehler&-1
 de_DE.ISO-8859-1&jein&1
 EOF
-
-rc=$?
-if [ $rc -eq 1 ]; then
-    echo "Errors"
-fi
-exit $rc